Subject: Re: SUGGESTED ARQ TEXT Advice for Internet Subnetwork Designers ID

From: Nitin H Vaidya <[email-masked]>
Date: Wed, 20 Jun 2001 09:36:29 -0500 (CDT)

Lloyd:

  >> From [email-masked] Wed Jun 20 07:11:04 2001
  >> 
  >> On Wed, 20 Jun 2001, Phil Karn wrote:
  >> 
  >> > Hi. I am *finally* updating the LINK document with the text submitted
  >> > since the Minneapolis IETF. Dan Grossman's stuff in security (with my
  >> > editorial rewordings) is in, and I'm now working on your ARQ text. I
  >> > have some comments and suggestions.
  >> > 
  >> > >Error recovery generally involves the retransmission of lost or
  >> > >corrupted data when explicitly or implicitly requested by the
  >> > >receiver. It can also involve the generation and transmission of
  >> > >redundant information that lets the receiver regenerate or correct
  >> > >some amount of lost or corrupted data without needing explicit
  >> > >retransmission of that amount.
  >> > 
  >> > Actually, both ARQ and FEC rely entirely on the transmission of
  >> > redundant information.
  >> 
  >> I'd argue that if it's requested by the other end, it's not redundant.

Whether of not it is requested by the receiver, the word "redundant"
seems appropriate (this is the word the coding folks would often use).

  >> (Interleaving is an error-protection strategy that arguably doesn't
  >> include redundancy. Not sure I'd call it error recovery though.)
  >> 
  >> > It's just that FEC sends much more redundant
  >> > information than ARQ -- enough to correct some number of errors
  >> > without a transmission.  The redundancy in ARQ is much more limited,
  >> > just enough to reliably detect that an error has occurred without
  >> > actually being able to correct it.
  >> > 
  >> > >The redundant information approach, using error control coding (of
  >> > >which Forward Error Correction, or FEC, is a well-known example)
  >> > >takes place in the data-link layer, very close to the physical
  >> > >layer. Many link layers use a combination of both coding and ARQ
  >> > >retransmissions to improve performance.
  >> > 
  >> > In most systems that I know, FEC is implemented entirely in what we'd
  >> > usually call the physical layer.
  >> 
  >> FEC is logical, not physical...

Not sure if this last comment was meant to be taken seriously - what
does logical mean here ?
FEC can be used at various layer. It is often used in the physical
layer (as Phil suggests).

- nitin

  >> 
  >> L.
  >> 
  >> > ARQ is generally in the link layer or
  >> > above.  Of course, some systems have multiple levels of ARQ, or have
  >> > ARQ that is more tightly bound with FEC than in others.
  >> > 
  >> > The rest of your text looks very good and I propose to include it
  >> > almost as-is, with just a few rewordings and sentence tightenings.
  >> > 
  >> > Phil
  >> > 
  >> > 
  >> 
  >> <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>
  >> 
  >>

---

From: Lloyd Wood <[email-masked]>
Date: Wed, 20 Jun 2001 16:10:32 +0100 (BST)

> seems appropriate (this is the word the coding folks would often use).

ARQ isn't coding, though. If you want to argue semantics, if it's
redundant it's not actually information... coding and information are
distinct, as are coding theory and information theory.

> Not sure if this last comment was meant to be taken seriously - what

It means data-link. 'In data-link, close to physical' is a very
accurate description of that.

> layer (as Phil suggests).

Certainly modulation and base symbol constellations are in phy. But
use of and meaning attached to those symbol constellations after
discrimination? FEC is a logical construct, and therefore has to be in
a logical layer. And all the layers above phy are logical, including
data-link decisions that redefine use and meaning of phy.

(This includes e.g. a lot of CDMA internals. CDMA is not a purely
physical process, but many descriptions I've read throw a lot more
into the physical layer than I would think reasonable. The
seven-layer OSI stack is pretty much useless for describing any
wireless link accurately, thanks to layered repetition of a number of 
elements.)

L.